/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.MotivoCancelacion;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderMotivoCancelacion implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        MotivoCancelacion motivoCancelacion = (MotivoCancelacion) o;

        Listcell lc = new Listcell(motivoCancelacion.getMotivocancelacionId().toString());
        lc.setParent(lstm);

        lc = new Listcell(motivoCancelacion.getDescmotivo());
        lc.setParent(lstm);

        String tipoMotivo = motivoCancelacion.getTipomotivo();
        if (tipoMotivo != null) {
            if (tipoMotivo.equals("B")) {
                lc = new Listcell("BOLETOS");
            } else {
                lc = new Listcell("CORRIDAS");
            }
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", motivoCancelacion);
    }
}
